pkgbase = dune-common-git
	pkgdesc = Infrastructure and foundation classes (git version)
	pkgver = 2.10.r1.e4bf440%
	pkgrel = 1
	url = https://dune-project.org/modules/dune-common
	arch = x86_64
	license = custom:GPL2 with runtime exception
	checkdepends = scotch
	checkdepends = parmetis
	checkdepends = python-numpy
	checkdepends = python-mpi4py
	makedepends = cmake
	makedepends = texlive-latexextra
	makedepends = biber
	makedepends = doxygen
	makedepends = graphviz
	makedepends = python-sphinx
	makedepends = python-setuptools
	makedepends = openmpi
	makedepends = git
	optdepends = vc: C++ Vectorization library
	optdepends = texlive-latexextra: Type setting system
	optdepends = doxygen: Generate the class documentation from C++ sources
	optdepends = graphviz: Graph visualization software
	optdepends = inkscape: Conversion routines for generate PNG images
	optdepends = bash-completion: Bash completions
	optdepends = openmpi: for mpi support
	optdepends = parmetis: Parallel Graph Partitioning and Fill-reducing Matrix Ordering
	optdepends = scotch: Software package and libraries for graph, mesh and hypergraph partitioning, static mapping, and sparse matrix block ordering
	optdepends = man-db: manual pages for dune
	optdepends = python-fenics-ufl: for dunepackaging.py
	optdepends = python-requests: for dunepackaging.py
	optdepends = python-pip: for dunepackaging.py
	optdepends = python-scipy: for dunepackaging.py
	optdepends = python-scikit-build: for dunepackaging.py
	source = git+https://github.com/dune-project/dune-common#branch=master
	sha512sums = SKIP

pkgname = dune-common-git
	depends = cmake
	depends = python-docutils
	depends = openmpi
	depends = lapack
	depends = git
	provides = dune-common=2.10
	provides = dunecontrol
	provides = dune-ctest
	provides = dune-git-whitespace-hook
	provides = dunepackaging.py
	provides = duneproject
	provides = rmgenerated.py
	conflicts = dune-common

pkgname = python-dune-common-git
	pkgdesc = Infrastructure and foundation classes (git version) (python bindings)
	depends = dune-common-git
	depends = python-setuptools
	depends = python-portalocker
	depends = python-mpi4py
	depends = python-numpy
	depends = python-jinja
	conflicts = python-dune-common
